Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.glmnet

GLM-Net (GLMNET) regression and classifier.

Functions

`accepts_dataset_as_samples`(fx) | Decorator to extract samples from Datasets.

Classes

`Classifier`([space]) | Abstract classifier class to be inherited by all classifiers ..
`Dataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`GLMNETWeights`(clf[, force_train]) | `SensitivityAnalyzer` that reports the weights GLMNET trained
`GLMNET_C`(**kwargs) | GLM-NET Multinomial Classifier.
`GLMNET_R`(**kwargs) | GLM-NET Gaussian Regression Classifier.
`Parameter`(default[, ro, index, value, name, doc]) | This class shall serve as a representation of a parameter.
`Sensitivity`(clf[, force_train]) | Sensitivities of features for a given Classifier.

Exceptions

`Classifier`([space]) | Abstract classifier class to be inherited by all classifiers ..
`Dataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`GLMNETWeights`(clf[, force_train]) | `SensitivityAnalyzer` that reports the weights GLMNET trained
`GLMNET_C`(**kwargs) | GLM-NET Multinomial Classifier.
`GLMNET_R`(**kwargs) | GLM-NET Gaussian Regression Classifier.
`Parameter`(default[, ro, index, value, name, doc]) | This class shall serve as a representation of a parameter.
`Sensitivity`(clf[, force_train]) | Sensitivities of features for a given Classifier.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »